Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.driver
Interface VariationFeatureAdaptor

All Superinterfaces:
  Adaptor, FeatureAdaptor, java.rmi.Remote

public interface VariationFeatureAdaptor
extends FeatureAdaptor

Adaptor for retrieving VariationFeatures.

Author:
  Craig Melsopp
See Also:
  `VariationFeature`

Field Summary
`static java.lang.String` | `TYPE` Name of the default variation feature adaptor available from a driver.

Method Summary
`VariationFeature` | `fetch(long internalID)` Fetches the VariationFeature with the specified internal ID.
`java.util.List` | `fetch(Variation variation)` Fetches the VariationFeatures that show where the Variation appears on the genome.

Methods inherited from interface org.ensembl.driver.FeatureAdaptor
`convertLocations, fetch, fetch, fetch, fetch, fetchAll, fetchAll, fetchCount, fetchInternalIDs, fetchInternalIDs, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default variation feature adaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### fetch

    public VariationFeature fetch(long internalID)
                           throws AdaptorException

  Fetches the VariationFeature with the specified internal ID.

  Parameters:
    `internalID` - internal ID of the VariationFeature.
  Returns:
    the VariationFeature with the specified internal ID or null if none found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Variation variation)
                         throws AdaptorException

  Fetches the VariationFeatures that show where the Variation appears on the genome.

  Parameters:
    `variation` - variation to search for.
  Returns:
    zero or more VariationFeature's showing where the variation hits the genome.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD